<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page
  
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
  {
    include("ECBS_TR_201.php"); // spécifications IBAN
    
    mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
  
    //si tout les $POST ont été envoyé
    if(isset($_POST['iban']))
    {
      //0. Enlever les caractères indésirables (espaces, tirets, double point)
        $iban = rtrim(str_replace(" ", "", $_POST['iban']));
        $iban = str_replace("-", "", $iban);
        $iban = str_replace(":", "", $iban);
      	$iban = substr(htmlentities(strip_tags($iban)),0,34); // Affectation et Nettoyage du XSS
      
        $taille = strlen($iban); //extraction de la taille de la chaine
        
      //si le $POST a une valeur correcte : si la longueur de l'iban correspond bien au pays
      
      $CodePays = substr($iban, 0, 2);  //on extrait le code du pays (ex:FR)
      
      $j = -1;
      $TrouvePays = false;
      do{
        $j++;
        if($CodePays == $TCodePays[$j]){
                $PositionPays = $j;
                $TrouvePays = true;
        }
      }while($TrouvePays != true and $j != sizeof($TCodePays)-1);

      if (true == $TrouvePays)
      {
        $LongueurIban = $TLongueurIBAN[$PositionPays];
    
        if (strlen($iban) == $LongueurIban)
        {
          include("iban_verif.php");
          
          if(true == $valid)
          {
            if ($connexion)// si connexion à la base réussi
            {	
              mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
              
              //deux numéros ne peuvent être identique
              $requete2 = "Select * from freepay_iban where iban = '".$iban."';";
              $resultat2 = mysql_query($requete2,$connexion); //connexion de la requete
              $ligne2 = mysql_fetch_assoc($resultat2); //affichage des résultats
                
                if (empty($ligne2))
                {	
                  //tableaux
                  $cleiban = substr($iban, 2, 2); //extraction cleiban : 3 et 4 eme caracteres de l'IBAN
                          
                  //affectation
                  $CodeBanqueLong = $TCodeBanque[$PositionPays];
                  $CodeBrancheLong = $TCodeBranche[$PositionPays];
                  $NumeroCompteLong = $TNumeroCompte[$PositionPays];
                  $NumeroVerifLong = $TVerifBBAN[$PositionPays];
                  
                  //extraction
                  if ($CodeBanqueLong){
                  	$CodeBanque = substr($iban, 4, $CodeBanqueLong );
                  }else{$CodeBanque = '';}
                  
                  if ($CodeBrancheLong){
                  	$CodeBranche = substr($iban, 4+$CodeBanqueLong, $CodeBrancheLong );
                  }else{$CodeBranche = '';}
                  
                  if ($NumeroCompteLong){
                  	$NumeroCompte = substr($iban, 4+$CodeBanqueLong+$CodeBrancheLong, $NumeroCompteLong );
                  }else{$NumeroCompte = '';}
                  
                  if ($NumeroVerifLong){
                  	$NumeroVerif = substr($iban, 4+$CodeBanqueLong+$CodeBrancheLong+$NumeroCompteLong, $NumeroVerifLong );
                  }else{$NumeroVerif = '';}
                  
                  //insertion + 10000 euros pour bien commencer (Beta uniquement ;-) )
  
                  mysql_query("INSERT INTO freepay_iban values ('".$iban."', '".$CodePays."', '".$cleiban."', '".$CodeBanque."', '".$CodeBranche."', '".$NumeroCompte."', '".$NumeroVerif."', '10000.00', '".$_SESSION['mailcli']."')");   
                  
                  echo "<p class='reussi'>Votre IBAN (<strong>".$iban."</strong>) a été ajoutée avec succès.</p>";
                  $requete="Select * from freepay_iban where iban = '".$iban."';";
                  $resultat = mysql_query($requete,$connexion);
                  $ligne=mysql_fetch_assoc($resultat);
                  
                  echo " <h4 class='titre'>Récapitulatif</h4> ";
                  
                  include("iban_afficher.php"); // affiche le descriptif détaillé d'un IBAN
                  
                  unset($_POST['iban'],$iban); //Déstruction des variables après utilisation
                  
                }
                else{
                  echo "<p class='info'>Cet IBAN (<strong>".$iban."</strong>) a déjà été ajoutée dans la base.</p>";
                }
            }
          }
        } 
      }
    }
    
    include("iban_ajouter_interface.php");
    
  }else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
